#version 300 es

precision mediump float;

in vec2 var_uv;

layout( location = 0 ) out vec4 F;

uniform sampler2D glfx_BACKGROUND;
uniform sampler2D glfx_BLUR_BACKGROUND;
uniform sampler2D paint_mask;

void main()
{
	vec3 bg = texture( glfx_BACKGROUND, var_uv ).xyz;
	vec3 fuzzy = mix( texture( glfx_BLUR_BACKGROUND, var_uv ).xyz, vec3(1.), 0.5 );
	float mask = texture( paint_mask, var_uv ).x;
	F = vec4( mix(fuzzy,bg,mask), 1. );
}
